Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.wml.dom
Class WMLDOMImplementationImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.DOMImplementationImpl
            |
            +--weblogic.apache.wml.dom.WMLDOMImplementationImpl

public class WMLDOMImplementationImpl
extends DOMImplementationImpl
implements WMLDOMImplementation

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: WMLDOMImplementationImpl.java,v 1.1 2000/04/23 18:07:47 david Exp $
Author:
  David Li
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`WMLDOMImplementationImpl()`

Method Summary
`org.w3c.dom.Document` | `createDocument(java.lang.String namespaceURI, java.lang.String qualifiedName, org.w3c.dom.DocumentType doctype)`
`static org.w3c.dom.DOMImplementation` | `getDOMImplementation()` NON-DOM: Obtain and return the single shared object

Methods inherited from class weblogic.apache.xerces.dom.DOMImplementationImpl
`createDocumentType, hasFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMLDOMImplementationImpl

    public WMLDOMImplementationImpl()

Method Detail

### getDOMImplementation

    public static org.w3c.dom.DOMImplementation getDOMImplementation()

  NON-DOM: Obtain and return the single shared object

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String namespaceURI,
                                               java.lang.String qualifiedName,
                                               org.w3c.dom.DocumentType doctype)
                                        throws org.w3c.dom.DOMException

  Overrides:
    createDocument in class DOMImplementationImpl
  See Also:
    `DOMImplementation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD